package edu.mermet.tp8.fenetres;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import edu.mermet.tp8.Application;

public class JDialogConfigurationMenu extends JDialog 
{
    Application application;
    EcouteurJDialogConfigurationMenu ecJD;
    JLabel jlConv, jlTexte,jlDiapo,jlBoutons;
    ButtonGroup  jgConv, jgTexte,jgDiapo,jgBoutons; 
    JRadioButton jrbConvAuto, jrbConvAff,jrbConvCache;
    JRadioButton jrbTexteAuto, jrbTexteAff,jrbTexteCache;
    JRadioButton jrbDiapoAuto, jrbDiapoAff,jrbDiapoCache;
    JRadioButton jrbBoutonsAuto, jrbBoutonsAff,jrbBoutonsCache;

    public JDialogConfigurationMenu(Application application){
        super(application, "Comment Faire ?", false);
        this.application = application;
        init();
    }

    private void init(){
    
    JPanel pHaut = new JPanel();
    pHaut.setLayout(new GridLayout(4,4));

    jlConv = new JLabel("Conversion Celsius/Farenheit");
    jgConv = new ButtonGroup();
    jrbConvAuto = new JRadioButton("Auto");
    jrbConvAff = new JRadioButton("Affiché");
    jrbConvCache = new JRadioButton("Caché");

    jgConv.add(jrbConvAuto);
    jgConv.add(jrbConvAff);
    jgConv.add(jrbConvCache);

    pHaut.add(jlConv);
    pHaut.add(jrbConvAuto);
    pHaut.add(jrbConvAff);
    pHaut.add(jrbConvCache);

    Dimension minimumSize = new Dimension(200, 300);
    this.setMinimumSize(minimumSize);
    setLocationRelativeTo(null);
    ecJD = new EcouteurJDialogConfigurationMenu();
    addWindowListener(ecJD);

    }

    class EcouteurJDialogConfigurationMenu extends WindowAdapter{

        public void windowClosing(WindowEvent e){
            application.enableConfigurationMenu(true);
        }
    }
}